Get Analytic Plans
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/accounting/analytic-plansimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/accounting/analytic-plans"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/analytic-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"active": true,
"parent_id": "<string>"
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Analytic plans
Get Analytic Plans
GET
/
consumers
/
{consumer_id}
/
accounting
/
analytic-plans
Get Analytic Plans
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.
⌘I